.layout_login {
  display: grid;
  grid-template-columns: 50% 50%;
  grid-template-areas: 'banner content';
  height: 100vh;
}

.layout_login_wrappers__background{
  grid-area: banner;
  background-image: url("./login/login_background.jpg");
  background-size: cover;
  background-position: center;
}

.layout_login_wrappers__content {
  grid-area: content;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  padding: 48px 32px;
  min-width: 440px;
  width: 50%;
  margin: 0 auto;
}

.login_form, .login_unidade, .login_recuperar_senha, .login_form--container {
  width: 100%;
}

.login_form_header {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 32px;
}

.login_form_header__title {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
}

.login_form_header__title h1 {
  font-family: Nunito, sans-serif;
  color: #383B41;
  font-size: 24px;
  font-weight: 700;
  letter-spacing: -0.02em;
  margin: 0;
}

.login_form_header__title h2, .login_form__span, .login_message {
  font-family: Roboto, sans-serif;
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  margin: 0;
  color: #383B41;
}

.login_form_label {
  font-family: Roboto, sans-serif;
  font-size: 14px;
  font-weight: 400;
  line-height: 20px;
  text-align: left;
  margin-bottom: 0;
  color: #383B41;
}

.login_form_input_wrap {
  width: 100%;
  margin-top: 4px;
}

.login_form_error_list {
  list-style: none;
  padding: 0;
}

.login_form_error_list li {
  font-family: Roboto, sans-serif;
  font-size: 12px;
  font-weight: 400;
  line-height: 16px;
  text-align: left;
  color: #B52118;
}

.login_form_input {
  all: unset;

  background-color: #FFFFFF;
  border: 1px solid #DADFE7;
  border-radius: 4px;
  padding: 8px;
  margin-bottom: 8px;

  color: #151719;
  font-size: 1rem;
  font-family: Roboto, sans-serif;
  font-weight: 400;
  line-height: 24px;

  display: block;
  box-sizing: border-box;
  width: 100%;
  height: 40px;
  margin: 0;
  outline: none;

  &:read-only {
    background-color: #E6EAEF;
  }

  &::placeholder {
    color: #9FA9B9;
    font-family: Roboto, sans-serif;
  }

  &::-ms-input-placeholder {
    color: #9FA9B9;
    font-family: Roboto, sans-serif;
  }

  &:focus-visible {
    border-color: #DADFE7;
  }
}

.login_form_button__wrap {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-top: 32px;
  gap: 24px;
}

.login_form_button {
  all: unset;
  border-radius: 8px;
  cursor: pointer;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 8px 12px;


  font-family: Roboto, sans-serif;
  text-transform: uppercase;
  font-weight: 500;
  font-size: 0.9rem;
  line-height: 20px;

  width: 100%;
  height: 40px;

  &:focus {
    outline: 3px solid #91B6ED;
  }
}

.login_form_button.login_form_button__primary {
  background-color: #0055D4;
  color: #FFFFFF;

  &:hover:not(:disabled) {
    background-color: #0048B4;
  }

  &:disabled{
    background-color: #DADFE7;
    color: #FFFFFF;
    cursor: not-allowed;
  }
}

.login_form_button.login_form_button__secondary {
  background-color: #FFFFFF;
  border: 1px solid #0055D4;
  color: #0055D4;

  &:hover:not(:disabled) {
    background-color: #F7F8FA;
    border-color: #0048B4;
    color: #0048B4;
  }

  &:disabled {
    background-color: #FFFFFF;
    border-color: #DADFE7;
    color: #DADFE7;
    cursor: not-allowed;
  }
}

.login_form_button.login_form_button__tertiary {
  background-color: transparent;
  color: #0055D4;

  &:hover:not(:disabled) {
    background-color: #F7F8FA;
  }

  &:disabled {
    color: #DADFE7;
    cursor: not-allowed;
  }
}

.login_form_button__link {
  all: unset;
  cursor: pointer;
  font-family: Roboto, sans-serif;
  font-size: 1rem;
  font-weight: 400;
  line-height: 24px;
  text-align: center;
  width: 100%;
  color: #146EF5;
  text-decoration: underline;
}

.login_unidade_wrap_item {
  overflow-y: auto;
}

.login_unidade_wrap, .login_cargos_wrap {
  display: flex;
  flex-direction: column;
  gap: 8px;
  margin-bottom: 32px;
}

.login_unidade_item, .login_cargos_item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 16px;
  border-radius: 8px;
  padding: 20px 12px;

  cursor: pointer;
  transition: all 0.2s;

  &:hover {
    background-color: #F7F8FA;
  }
}

.login_unidade_item p, .login_cargos_item p {
  font-family: Roboto, sans-serif;
  font-size: 1rem;
  font-weight: 400;
  line-height: 24px;
  text-align: left;
  color: #383B41;
  margin: 0;
}

.login_message_wrap {
  flex-direction: column;
  gap: 16px;
}

@media screen and (max-width: 880px) {
  .layout_login_wrappers__background {
    display: none;
  }

  .layout_login {
    grid-template-columns: 100%;
    grid-template-areas: 'content';
  }
}
